Skip to main content
POST
/
cards
/
simulations
/
transaction
/
authorization
Simulate a card authorisation
curl --request POST \
  --url https://api.equalsmoney.com/v2/cards/simulations/transaction/authorization \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cardId": "e9293471-5eb3-4dbc-916c-dbaf9e2deefd",
  "amount": 10,
  "network": "VISA",
  "cardAcceptor": {
    "mid": "string"
  }
}
'
{
  "transaction": {
    "acquirerFeeAmount": "1.2",
    "type": "authorization.clearing",
    "state": "COMPLETION",
    "token": "7bff9f48-8c68-4937-917a-bf7cf4f0de27",
    "userToken": "f0d5cae0-fb3f-417f-8f1c-51c5fb66259a",
    "cardToken": "3c5d4203-99dc-4bbb-a8c4-e5c61fbe563a",
    "requestAmount": "10.0",
    "response": {
      "code": "0000",
      "memo": "Approved or completed successfully"
    },
    "createdTime": "2022-12-06T21:41:48Z",
    "userTransactionTime": "2022-12-06T21:41:49Z",
    "settlementDate": "2022-12-06T21:41:50Z",
    "amount": "10.0",
    "gpa": {
      "ledgerBalance": "240.0",
      "availableBalance": "240.0",
      "impactedAmount": "-10.0"
    },
    "currencyCode": "GBP",
    "currencyConversion": {
      "originalAmount": "10.0",
      "conversionRate": 1,
      "originalCurrencyCode": "826"
    },
    "precedingRelatedTransactionToken": "8a6d911e-cb3d-41d2-b843-5f9dc97d503c",
    "network": "VISA",
    "subnetwork": "VISANET",
    "cardAcceptor": {
      "postalCode": "33705",
      "mid": "000000000011111",
      "mcc": "6411",
      "name": "Card Acceptor Name",
      "city": "Seattle",
      "state": "WA",
      "countryCode": "USA"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Query Parameters

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

Body

application/json

Body

cardId
string<uuid>
required

The ID of the card to work with.

Maximum string length: 36
Example:

"e9293471-5eb3-4dbc-916c-dbaf9e2deefd"

amount
number
required

The amount.

Required range: x >= 0
Example:

10

network
string
required

The card network.

Example:

"VISA"

cardAcceptor
object
required

Response

201 - application/json

Created

transaction
object

Details about the transaction.